Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 984794 - [abrt] simple-scan-3.4.1-1.fc17: handle_bulk_completion: Process /usr/bin/simple-scan was killed by signal 11 (SIGSEGV)
Summary: [abrt] simple-scan-3.4.1-1.fc17: handle_bulk_completion: Process /usr/bin/sim...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: simple-scan
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:77ebea1e0bb901b2f1e31676b7c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-16 04:24 UTC by Natasha
Modified: 2013-08-01 04:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 04:56:37 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2013-07-16 04:24 UTC, Natasha
no flags Details
File: cgroup (deleted)
2013-07-16 04:24 UTC, Natasha
no flags Details
File: core_backtrace (deleted)
2013-07-16 04:24 UTC, Natasha
no flags Details
File: dso_list (deleted)
2013-07-16 04:24 UTC, Natasha
no flags Details
File: environ (deleted)
2013-07-16 04:24 UTC, Natasha
no flags Details
File: limits (deleted)
2013-07-16 04:24 UTC, Natasha
no flags Details
File: maps (deleted)
2013-07-16 04:24 UTC, Natasha
no flags Details
File: open_fds (deleted)
2013-07-16 04:24 UTC, Natasha
no flags Details
File: proc_pid_status (deleted)
2013-07-16 04:25 UTC, Natasha
no flags Details
File: var_log_messages (deleted)
2013-07-16 04:25 UTC, Natasha
no flags Details

Description Natasha 2013-07-16 04:24:20 UTC
Description of problem:
simply tried scanning an image on my epson perfection 2400 photo scanner. It used to work just fine. Now won't work on simplescan or xsane. 

Version-Release number of selected component:
simple-scan-3.4.1-1.fc17

Additional info:
backtrace_rating: 4
cmdline:        /usr/bin/simple-scan
crash_function: handle_bulk_completion
executable:     /usr/bin/simple-scan
kernel:         3.8.13-100.fc17.x86_64
last_occurrence: 1373947831
runlevel:       N 5
uid:            1000
ureports_counter: 2
xsession_errors: ** (simple-scan:1203): WARNING **: scanner.vala:771: No scan device available

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 handle_bulk_completion at os/linux_usbfs.c:1892
 #1 reap_for_handle at os/linux_usbfs.c:2241
 #2 op_handle_events at os/linux_usbfs.c:2279
 #3 handle_events at io.c:1938
 #4 libusb_handle_events_timeout_completed at io.c:2018
 #5 libusb_handle_events_completed at io.c:2117
 #6 do_sync_bulk_transfer at sync.c:178
 #7 libusb_bulk_transfer at sync.c:262
 #8 usb_bulk_io at core.c:755
 #9 usb_bulk_write at core.c:791

Comment 1 Natasha 2013-07-16 04:24:26 UTC
Created attachment 774007 [details]
File: backtrace

Comment 2 Natasha 2013-07-16 04:24:29 UTC
Created attachment 774008 [details]
File: cgroup

Comment 3 Natasha 2013-07-16 04:24:31 UTC
Created attachment 774009 [details]
File: core_backtrace

Comment 4 Natasha 2013-07-16 04:24:34 UTC
Created attachment 774010 [details]
File: dso_list

Comment 5 Natasha 2013-07-16 04:24:38 UTC
Created attachment 774011 [details]
File: environ

Comment 6 Natasha 2013-07-16 04:24:42 UTC
Created attachment 774012 [details]
File: limits

Comment 7 Natasha 2013-07-16 04:24:49 UTC
Created attachment 774013 [details]
File: maps

Comment 8 Natasha 2013-07-16 04:24:52 UTC
Created attachment 774014 [details]
File: open_fds

Comment 9 Natasha 2013-07-16 04:25:01 UTC
Created attachment 774015 [details]
File: proc_pid_status

Comment 10 Natasha 2013-07-16 04:25:05 UTC
Created attachment 774016 [details]
File: var_log_messages

Comment 11 Fedora End Of Life 2013-08-01 04:56:44 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.